[Buildroot] [PATCH 1/1] package/linknx: host-pkgconf is mandatory

Fabrice Fontaine fontaine.fabrice at gmail.com
Thu Feb 27 23:15:27 UTC 2020


host-pkgconf is a mandatory dependency, this will fix per-package build

Fixes:
 - http://autobuild.buildroot.org/results/cfda0ce53165bb22b691b5b6510f0ab096a41e17

Signed-off-by: Fabrice Fontaine <fontaine.fabrice at gmail.com>
---
 package/linknx/linknx.mk | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/package/linknx/linknx.mk b/package/linknx/linknx.mk
index 15d4b5a109..c75f0655d6 100644
--- a/package/linknx/linknx.mk
+++ b/package/linknx/linknx.mk
@@ -17,7 +17,9 @@ LINKNX_CONF_OPTS = \
 	--with-pth=$(STAGING_DIR)/usr \
 	--disable-smtp
 
-LINKNX_DEPENDENCIES = libpthsem \
+LINKNX_DEPENDENCIES = \
+	host-pkgconf \
+	libpthsem \
 	$(if $(BR2_PACKAGE_ARGP_STANDALONE),argp-standalone) \
 	$(if $(BR2_PACKAGE_LIBICONV),libiconv)
 
@@ -30,7 +32,7 @@ endif
 
 ifeq ($(BR2_PACKAGE_LOG4CPP),y)
 LINKNX_CONF_OPTS += --with-log4cpp
-LINKNX_DEPENDENCIES += host-pkgconf log4cpp
+LINKNX_DEPENDENCIES += log4cpp
 else
 LINKNX_CONF_OPTS += --without-log4cpp
 endif
-- 
2.25.0



More information about the buildroot mailing list